﻿using System;

namespace RH.Net35WebConfig
{
    class Logging
    {
        /// <summary>
        /// write to the ULS Log (TraceSeverity = Exception)
        /// </summary>
        /// <param name="text"></param>
        internal static void WriteULSError(string text)
        {
            try
            {
                TraceProvider.RegisterTraceProvider();
                TraceProvider.WriteTrace(0, TraceProvider.TraceSeverity.Exception, Guid.Empty, "RH.Net35WebConfig.dll", "RH.Net35WebConfig", "General", text);
            }
            catch (Exception)
            {
            }
            finally
            {
                TraceProvider.UnregisterTraceProvider();
            }
        }

        /// <summary>
        /// write to the ULS Log (TraceSeverity = Verbose)
        /// </summary>
        /// <param name="text"></param>
        internal static void WriteULSVerbose(string text)
        {
            try
            {
                TraceProvider.RegisterTraceProvider();
                TraceProvider.WriteTrace(0, TraceProvider.TraceSeverity.Verbose, Guid.Empty, "RH.Net35WebConfig.dll", "RH.Net35WebConfig", "General", text);
            }
            catch (Exception)
            {
            }
            finally
            {
                TraceProvider.UnregisterTraceProvider();
            }
        }
    }
}
